import './things-scene-components.import';
import '@operato/board/ox-board-player.js';
import '@operato/oops';
import { PageView } from '@operato/shell';
import { BoardPlayer } from '@operato/board/ox-board-player.js';
declare const BoardPlayerPage_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: unknown): void;
    readonly isConnected: boolean;
}) & typeof PageView;
export declare class BoardPlayerPage extends BoardPlayerPage_base {
    static styles: import("lit").CSSResult[];
    data: any;
    playGroup: any;
    playGroupId?: string | null;
    boards: any;
    baseUrl?: string;
    showSpinner?: boolean;
    private provider?;
    private subscriptionForAutoRefresh;
    boardPlayer?: BoardPlayer;
    connectedCallback(): void;
    disconnectedCallback(): void;
    fetch(id: string): Promise<import("@apollo/client").InteropApolloQueryResult<any>>;
    refresh(): Promise<void>;
    updated(changes: any): void;
    stateChanged(state: any): void;
    get oopsNote(): {
        icon: string;
        title: string;
        description: string;
    };
    get context(): {
        title: any;
    };
    render(): import("lit-html").TemplateResult<1>;
    pageUpdated(changes: any, lifecycle: any): void;
    startSubscribingForAutoRefresh(): Promise<void>;
    stopSubscribing(): Promise<void>;
}
export {};
